Indexers - Reset Docs
Resets specific documents in the datasource to be selectively re-ingested by the indexer.
POST {endpoint}/indexers('{indexerName}')/search.resetdocs?api-version=2025-05-01-preview
POST {endpoint}/indexers('{indexerName}')/search.resetdocs?overwrite={overwrite}&api-version=2025-05-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string |
The endpoint URL of the search service. |
|
indexer
|
path | True |
string |
The name of the indexer to reset documents for. |
|
api-version
|
query | True |
string |
Client Api Version. |
|
overwrite
|
query |
boolean |
If false, keys or ids will be appended to existing ones. If true, only the keys or ids in this payload will be queued to be re-ingested. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| x-ms-client-request-id |
string (uuid) |
The tracking ID sent with the request to help with debugging. |
Request Body
| Name | Type | Description |
|---|---|---|
| datasourceDocumentIds |
string[] |
datasource document identifiers to be reset |
| documentKeys |
string[] |
document keys to be reset |
Responses
| Name | Type | Description |
|---|---|---|
| 204 No Content | ||
| Other Status Codes |
Error response. |
Examples
SearchServiceResetDocs
Sample request
POST https://previewexampleservice.search.windows.net/indexers('myindexer')/search.resetdocs?overwrite=True&api-version=2025-05-01-preview
{
"documentKeys": [
"1",
"2",
"3"
]
}
Sample response
Definitions
| Name | Description |
|---|---|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |